require 'studio_game/berserk_player'

module StudioGame

	describe BerserkPlayer do

		before do
			@initial_health = 50
			@player = BerserkPlayer.new("berz", @initial_health)
		end

		it "does not go berserk if wooted 5 or less times" do

			1.upto(5) {@player.woot}

			expect(@player.berserk?).to eq(false)

		end

		it "goes berserk if wooted 6+ times" do
			1.upto(6) {@player.woot}

			expect(@player.berserk?).to eq(true)
		end 

		it "gets wooted insted of blammed when berserk" do
			1.upto(6) {@player.woot}
			1.upto(2) {@player.blam}

			expect(@player.health).to eq(@initial_health + (8 * 10))
		end

	end

end