require 'studio_game/game'
# require_relative 'die'

module StudioGame

	describe Game do
		before do
			@game = Game.new("Knuckleheads")

			@initial_health = 100
			@player = Player.new("moe", @initial_health)

			@game.add_player(@player)
		end

		it "woots player if 5 or 6 rolled" do

			allow_any_instance_of(Die).to receive(:roll).and_return(5)

			@game.play(2)

			expect(@player.health).to eq(@initial_health + (10*2))
		end

		it "does nothing if 3 or 4 is rolled" do

			allow_any_instance_of(Die).to receive(:roll).and_return(3)

			@game.play(2)

			expect(@player.health).to eq(@initial_health)

		end

		it "blams player if 1 or 2 is rolled" do

			allow_any_instance_of(Die).to receive(:roll).and_return(1)

			@game.play(2)

			expect(@player.health).to eq(@initial_health - (10*2))

		end

		# its "prints out each treasure a player has" do

			

	end

end
# If a low number (1 or 2) is rolled, we'll blam the player because low rollers aren't very lucky.
# If a medium number (3 or 4) is rolled, we'll skip the player—we won't change their health value. Instead, we'll print out something like "Curly was skipped."
# If a high number (5 or 6) is rolled, we'll w00t the player (high fives for the high rollers!)